/* -----------------------------------------------------------------------------
	GSFramework
	Copyright 2001-2013 Emmanuel Julien. All Rights Reserved.
----------------------------------------------------------------------------- */


		#include "scene3d/scene_ace_manager.h"
		#include "core/ace.h"
		#include "memory/nauto_ptr.h"

		using namespace GS::S3D;
		using GS::ACE::Manager;


//------------------------------------------------------------------------------
Manager				*ACEManager::Get()
{
	static AutoPtr <Manager> scene_manager;

	if	(!scene_manager)
	{
		scene_manager = new Manager;
		scene_manager->DefineACECommand("toposition", ACESN_toposition, 3);
		scene_manager->DefineACECommand("offsetposition", ACESN_offsetposition, 3);
		scene_manager->DefineACECommand("tooffset", ACESN_tooffset, 3);
		scene_manager->DefineACECommand("toscale", ACESN_toscale, 3);
		scene_manager->DefineACECommand("torotation", ACESN_torotation, 3);
		scene_manager->DefineACECommand("toalpha", ACESN_toalpha, 1);
	}
	return scene_manager;
}
//------------------------------------------------------------------------------
